<?php
/*
  Un script sencillo para visualizar la base de
  datos de clientes de OSCommerce 2.2-MS2.
  Est preparado para analizar los clientes en
  Espaa y se presupone para tiendas espaolas.
  
  Es una adaptacin para Espaa de la contrib
  "Customer Statistics for MS2 / German!"
  http://www.oscommerce.com/community/contributions,4527
  
  Released under the GNU General Public License
  Please refer to the included file 'gpl.txt'.

  The following copyright announcement is in compliance
  to section 2c of the GNU General Public License, and
  thus can not be removed, or can only be modified
  appropriately.

  Please leave this comment intact together with the
  following copyright announcement.

  Copyright (c) 2006 by
  J. Lingott (www.deweblop.de) and
  J. Hoppe   (www.footbag-shop.de)
  
  Copyright (c) 2007 versin para Espaa 
  Jose M. Iaez (www.lenoir.es)

  The authors provide no warranty and distribute this
  script under the GNU General Public License.
*/

// you can use configure.php or you can define the needed values below
if (is_file($con_file = '../includes/configure.php')) {
  include($con_file);
}

// config ######################################################################

$config['domain'] = $_SERVER['HTTP_HOST'];

$config['db']['host']   = defined('DB_SERVER')          ? DB_SERVER          : "localhost";
$config['db']['user']   = defined('DB_SERVER_USERNAME') ? DB_SERVER_USERNAME : "usuario";
$config['db']['passwd'] = defined('DB_SERVER_PASSWORD') ? DB_SERVER_PASSWORD : "contrasea";
$config['db']['dbench'] = defined('DB_DATABASE')        ? DB_DATABASE        : "basedatos";
$config['db']['table_address_book'] = "address_book";
$config['db']['table_customers']    = "customers";
//$config['db']['where'] = "entry_country_id='195' AND entry_postcode!='00000'"; // 195 = Espaa
$config['db']['where'] = "entry_country_id='195' AND entry_postcode < '52999' AND entry_postcode > '01000'"; // Slo cdigos vlidos
$config['db']['order'] = "entry_postcode";      // optional
$config['db']['sort']  = "DESC";                // optional
$config['db']['limit'] = "";                    // optional

$config['image_time_limit']  = 5;           // set_time_limit in inc_postcode_image.php
$config['image_color_red_black'] = false;   // set to true if you prefer a map with the main colors red and black (default: red and white)

$config['page_title']   = "Estad&iacute;sticas";
$config['page_heading'] = "Datos demogrficos de los clientes";

// #############################################################################

include("inc_db.php");
include("inc_general.php");
include("inc_template.php");



// used to show the postcode image
if(!isset($_REQUEST['draw_map'])) {

  $age_array = mysql_array($config['db']['table_customers'],
                           "",
                           "",
                           $config['db']['sort'],
                           $config['db']['limit'],
                           // Calcula la edad diviendo por 365
                           // y elimina los decimales (TRUNCATE)
                           "SELECT TRUNCATE( (TO_DAYS(NOW())-TO_DAYS(customers_dob))/365 ,0) AS age ");

  include("inc_age_array.php");

  $gender_array = mysql_array("", "", "", "", "",
                              "SELECT customers_gender, COUNT(customers_gender) as amount FROM ".$config['db']['table_customers']." GROUP BY customers_gender");

  include("inc_gender_array.php");

}


$client_array = mysql_array($config['db']['table_address_book'],
                            $config['db']['where'],
                            $config['db']['order'],
                            $config['db']['sort'],
                            $config['db']['limit'],
                            "SELECT entry_postcode ");

include("inc_postcode_array.php");

include("inc_states.php");
include("inc_states_array.php");


// normal page
if(!isset($_REQUEST['draw_map'])) {

  echo sprintf($template['page_header'], $config['page_title'],
                                         // used to compare the images sources in the javascript
                                         'http://'.$config['domain'].str_replace(basename($_SERVER['PHP_SELF']),"",$_SERVER['PHP_SELF']).'ar.gif',
                                         $config['page_heading']);

  echo $template['table_start'];

  include("inc_gender_show.php");      echo "<br />";
  include("inc_age_show.php");         echo "<br />";
  include("inc_postcode_show.php");    echo "<br />";
  include("inc_states_show.php");

  if(!isset($_GET['ratio'])) {

    $ratio = 0.5;

  } elseif($_GET['ratio'] > 1 XOR
           $_GET['ratio'] < 0 XOR
           !is_numeric($_GET['ratio'])) {

    $ratio = 0.5;

  } else {
    $ratio = $_GET['ratio'];
  }
  $current_zoom = $ratio * 100;


  echo $template['table_middle'];
  echo sprintf($template['postcode_table1'], $current_zoom);
  echo $template['javascript_preload_images'];
  echo sprintf($template['table_end'], $ratio);


// postcode image
} else {

  include("inc_postcode_image.php");

}

?>